.otp-input {
    display: flex;
    justify-content: center;
}

.otp-input input {
    width: 50px;
    height: 50px;
    border: 1px solid #ccc;
    border-radius: 5px;
    text-align: center;
    font-size: 20px;
    margin: 0 5px;
}

.sr-only {
    position: absolute;
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    clip: rect(0, 0, 0, 0);
    white-space: nowrap;
    border: 0;
}

.sr-only-focusable:active,
.sr-only-focusable:focus {
    position: static;
    width: auto;
    height: auto;
    overflow: visible;
    clip: auto;
    white-space: normal;
}

* {
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
}

body {
    font-family: "Montserrat", sans-serif;
    background: #535c68;
}

.wrapper {
    margin: auto;
    max-width: 640px;
    padding-top: 60px;
    text-align: center;
}

.container {
    background-color: #aaaaaa60;
    padding: 20px;
    border-radius: 10px;
    /*border: 0.5px solid rgba(130, 130, 130, 0.25);*/
    /*box-shadow: 0 2px 3px rgba(0, 0, 0, 0.1),
              0 0 0 1px rgba(0, 0, 0, 0.1);*/
}

h1 {
    color: #130f40;
    font-family: "Varela Round", sans-serif;
    letter-spacing: -0.5px;
    font-weight: 700;
    padding-bottom: 10px;
}

.upload-container {
    background-color: rgb(255, 255, 255);
    border-radius: 6px;
    padding: 10px;
}

.border-container {
    border: 5px dashed rgba(198, 198, 198, 0.65);
    /*   border-radius: 4px; */
    padding: 20px;
}

.border-container p {
    color: #130f40;
    font-weight: 600;
    font-size: 1.1em;
    letter-spacing: -1px;
    margin-top: 30px;
    margin-bottom: 0;
    opacity: 0.65;
}

#file-browser {
    text-decoration: none;
    color: rgb(22, 42, 255);
    border-bottom: 3px dotted rgba(22, 22, 255, 0.85);
}

#file-browser:hover {
    color: rgb(0, 0, 255);
    border-bottom: 3px dotted rgba(0, 0, 255, 0.85);
}

.icons {
    color: #95afc0;
    opacity: 0.55;
}

.category-list {
    padding: 0;
    margin-bottom: 0;
}

:root {
    --white-color: #fafafb;
    --background-color: #17171e;
    --grey-color: #b5b5be;
    --dark-grey-color: #292932;
}
.side-bar {
    width: 23.2rem;
    height: 100%;
    padding: 2.1rem 1.2rem;
    background-color: #17171e;
    position: fixed;
    transition: all 0.5s ease;
    top: 0;
}
.logo-name-wrapper {
    position: relative;
    margin-bottom: 2.1rem;
    display: flex;
    font-size: 1.2rem;
}
.logo-name {
    display: flex;
    align-items: center;
}
.logo-name__name {
    margin-left: 0.9rem;
    white-space: nowrap;
}
.logo-name__button {
    position: absolute;
    top: 50%;
    right: 0;
    font-size: 1.8rem;
    transform: translateY(-50%);
    background-color: transparent;
    border: none;
    cursor: pointer;
}
.logo-name__icon {
    font-size: 1.8rem;
    color: var(--grey-color);
}
.message {
    background-color: var(--dark-grey-color);
    display: flex;
    align-items: center;
    padding: 1.55rem 0 1.55rem 1.2rem;
    border-radius: 0.4rem;
    margin-bottom: 3.6rem;
    cursor: pointer;
    position: relative;
}
.message-icon {
    font-size: 2rem;
    transform: translateX(3rem);
    transition: all 0.5s ease;
}
.message-text {
    margin-left: 1.1rem;
    font-size: 1.4rem;
    white-space: nowrap;
    transform: translateX(3rem);
    transition: all 0.5s ease;
}
.features-list {
    padding-bottom: 1rem;
    border-bottom: 1px solid #292932;
    list-style: none;
}
.features-item {
    display: flex;
    align-items: center;
    position: relative;
    padding: 0.5rem 0.9rem;
    margin-bottom: 1.1rem;
    color: var(--grey-color);
    cursor: pointer;
    transition: 0.5s ease;
}
.features-item::before {
    transition: 0.5s ease;
    content: "";
    position: absolute;
    left: -1.2rem;
    height: 100%;
    border-left: 3px solid var(--white-color);
    border-radius: 2px;
    opacity: 0;
    visibility: hidden;
}
.features-item:hover {
    color: var(--white-color);
    transition: 0.5s ease;
}
.features-item:hover::before {
    opacity: 1;
    visibility: unset;
}
.features-item-icon {
    font-size: 2rem;
}
.features-item-text {
    margin-left: 1.5rem;
    transition: opacity 0.6s ease;
    opacity: 1;
}
.inbox-number {
    position: absolute;
    top: 50%;
    right: 0;
    transform: translateY(-50%);
    background-color: #1e75ff;
    padding: 0.5rem 0.9rem;
    border-radius: 0.4rem;
    color: var(--white-color);
    opacity: 1;
    transition: 0.6s linear;
}
.inbox-icon {
    position: relative;
}
.inbox-icon .status {
    position: absolute;
    top: 0;
    right: -1px;
    background-color: #1e75ff;
    height: 9px;
    width: 9px;
    border-radius: 50%;
    border: 2px solid var(--white-color);
    opacity: 0;
    transition: 0.6s linear;
}
.category-list {
    padding-top: 2.1rem;
    padding-bottom: 0.9rem;
    color: var(--grey-color);
    list-style: none;
    font-size: 1.2rem;
    font-weight: 500;
    border-bottom: 1px solid #292932;
}
.category-header {
    font-size: 1.2rem;
    text-transform: uppercase;
    line-height: 1.8rem;
    color: var(--white-color);
    margin-bottom: 1.3rem;
    white-space: nowrap;
}
.category-item {
    position: relative;
    padding: 0.9rem 1.1rem;
    line-height: 1.8rem;
    cursor: pointer;
    white-space: nowrap;
}
.category-item-status {
    height: 0.8rem;
    width: 0.8rem;
    border-radius: 50%;
    border: none;
    background-color: white;
    display: inline-block;
}
.category-item-text {
    margin-left: 1rem;
    transition: opacity 0.6s ease;
    opacity: 1;
}
.category-item-number {
    position: absolute;
    top: 50%;
    right: 0;
    transform: translateY(-50%);
}
.chat-list {
    padding: 2.1rem 0;
    font-size: 1.2rem;
}
.chat-header {
    text-transform: uppercase;
    line-height: 1.8rem;
    color: var(--white-color);
    margin-bottom: 1.3rem;
    white-space: nowrap;
}
.chat-new-btn {
    color: #1e75ff;
    background-color: transparent;
    outline: none;
    border: none;
    line-height: 1.8rem;
    display: flex;
    align-items: center;
    padding-bottom: 2.1rem;
    padding-left: 0.1rem;
    cursor: pointer;
    position: relative;
    font-family: "Poppins", sans-serif;
    font-weight: 500;
}
.chat-new-btn-text {
    white-space: nowrap;
    transition: opacity 0.6s ease;
    opacity: 1;
}
.chat-icon {
    font-size: 2.1rem;
    margin-right: 1.2rem;
}
.chat-item {
    position: relative;
    display: flex;
    align-items: center;
    margin-bottom: 2.1rem;
    color: var(--grey-color);
    cursor: pointer;
}
.chat-item-avatar-wrapper {
    position: relative;
}
.chat-item-avatar-wrapper::before {
    content: "";
    position: absolute;
    top: 0;
    right: -3px;
    border-radius: 50%;
    height: 8px;
    width: 8px;
    background-color: #79d861;
    opacity: 0;
    transition: 0.6s linear;
}
.chat-item-avatar-wrapper.has-message::before {
    background-color: #1e75ff;
    border: 2px solid var(--white-color);
    height: 6px;
    width: 6px;
}
.chat-item-avatar {
    object-fit: cover;
    object-position: top;
    height: 2.1rem;
    width: 2.1rem;
    border-radius: 50%;
    border: 1px solid var(--white-color);
}
/* background color in inline style */
.chat-item-status {
    height: 0.8rem;
    width: 0.8rem;
    border-radius: 50%;
    border: none;
    background-color: white;
    position: absolute;
    top: 50%;
    right: 0;
    transform: translateY(-50%);
    margin-right: 5px;
    opacity: 1;
    transition: 0.6s linear;
}
.chat-item-number {
    position: absolute;
    top: 50%;
    right: 0;
    transform: translateY(-50%);
    background-color: #1e75ff;
    padding: 0.5rem 0.9rem;
    border-radius: 0.4rem;
    color: var(--white-color);
    opacity: 1;
    transition: 0.6s linear;
}
.chat-item-name {
    white-space: nowrap;
    transition: opacity 0.6s ease;
    opacity: 1;
    margin-left: 1.4rem;
}
.tooltip {
    position: absolute;
    top: -2.1rem;
    left: 6.4rem;
    background-color: white;
    color: var(--background-color);
    border-radius: 0.4rem;
    padding: 0.5rem 0.9rem;
    font-size: 1.4rem;
    transition: 0s;
    opacity: 0;
    display: none;
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
}
.side-bar.collapse .message:hover .tooltip,
.features-item:hover .tooltip,
.category-item:hover .tooltip,
.chat-new-btn:hover .tooltip {
    top: 50%;
    transform: translateY(-50%);
    transition: all 0.5s ease;
    opacity: 1;
}
.side-bar.collapse {
    width: 6.4rem;
}
.side-bar.collapse .tooltip {
    display: block;
}
.side-bar.collapse .logo-name,
.side-bar.collapse .category-header,
.side-bar.collapse .chat-header,
.side-bar.collapse .chat-new-btn-text,
.side-bar.collapse .features-item-text,
.side-bar.collapse .inbox-number,
.side-bar.collapse .category-item-text,
.side-bar.collapse .category-item-number,
.side-bar.collapse .message-text,
.side-bar.collapse .chat-item-name,
.side-bar.collapse .chat-item-number,
.side-bar.collapse .chat-item-status {
    opacity: 0;
    pointer-events: none;
}
.side-bar.collapse .message-text {
    opacity: 0;
    pointer-events: none;
    transform: translateX(0);
}
.side-bar.collapse .message-icon {
    transform: translateX(0);
}
.side-bar.collapse .logo-name__button {
    right: 0.5rem;
}
.side-bar.collapse .inbox-icon .status,
.side-bar.collapse .chat-item-avatar-wrapper::before {
    opacity: 1;
}
.loader_portal {
    position: fixed;
    top: 0px;
    right: 0px;
    width: 100%;
    height: 100%;
    /* background-color: #eceaea; */
    /* background-image: url("../loader/simple_loader.gif"); */
    background-size: 150px;
    background-repeat: no-repeat;
    background-position: center;
    z-index: 10000000;
}
.loader_portal::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #fff;
    opacity: 0.5;
    mix-blend-mode: multiply;
}
